<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Cubiculo{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO cubiculos (nombre,descripcion,condicion) VALUES ('$nombre','$descripcion','1')";
	return ejecutarConsulta($sql);
}

public function editar($idcubiculo,$nombre,$descripcion){
	$sql="UPDATE cubiculos SET nombre='$nombre',descripcion='$descripcion' 
	WHERE idcubiculo='$idcubiculo'";
	return ejecutarConsulta($sql);
}
public function desactivar($idcubiculo){
	$sql="UPDATE cubiculos SET condicion='0' WHERE idcubiculo='$idcubiculo'";
	return ejecutarConsulta($sql);
}
public function activar($idcubiculo){
	$sql="UPDATE cubiculos SET condicion='1' WHERE idcubiculo='$idcubiculo'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idcubiculo){
	$sql="SELECT * FROM cubiculos WHERE idcubiculo='$idcubiculo'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM cubiculos";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM cubiculos WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
